module.exports = {
  objects: {'tanks': {'tank1': {'id': 'tank1', 'velocity': 3, 'left': 23, 'top': 42, 'position': '(23, 42)'}, 'tank2': {'id': 'tank2', 'velocity': 2, 'left': 14, 'top': 101, 'position': '(14, 101)'}}, 'types': {'position': {'id': 'position', 'level': 0}, 'velocity': {'id': 'number', 'level': 0}}},
  queries: [
    {
      query: 'the speed of tank1',
      generated: ['the velocity of tank1 is 3'],
      results: [{"value": 3, "marker": "number", "propertyName": "velocity", "object": "tank1", "isProperty": true}]
    },
    {
      query: 'what is the speed of tank1 and tank2',
      generated: ['the velocity of tank1 is 3', 'the velocity of tank2 is 2'],
      results: [{"objects": [{"marker": "query", "isQuery": true}, {"value": 3, "marker": "number", "propertyName": "velocity", "object": "tank1", "isProperty": true}], "marker": "equal", "word": "is"}, {"objects": [{"marker": "query", "isQuery": true}, {"value": 2, "marker": "number", "propertyName": "velocity", "object": "tank2", "isProperty": true}], "marker": "equal", "word": "is"}]
    },
    {
      query: 'what is 1 + 1 + 1 and 20 + 30',
      generated: ['3', '50'],
      results: [{"objects": [{"marker": "query", "isQuery": true}, {"marker": "number", "word": "+", "value": 3}], "marker": "equal", "word": "is"}, {"objects": [{"marker": "query", "isQuery": true}, {"marker": "number", "word": "+", "value": 50}], "marker": "equal", "word": "is"}]
    },
    {
      query: 'move tank1 and tank2 to building2 and tank3 and tank4 to building3',
      generated: ['move tank1 to building2', 'move tank2 to building2', 'move tank3 to building3', 'move tank4 to building3'],
      results: [{"action": "move", "marker": "move", "thing": {"id": "tank1", "marker": "tankConcept", "word": "tank1"}, "place": {"id": "building2", "marker": "buildingConcept", "word": "building2"}}, {"action": "move", "marker": "move", "thing": {"id": "tank2", "marker": "tankConcept", "word": "tank2"}, "place": {"id": "building2", "marker": "buildingConcept", "word": "building2"}}, {"action": "move", "marker": "move", "thing": {"id": "tank3", "marker": "tankConcept", "word": "tank3"}, "place": {"id": "building3", "marker": "buildingConcept", "word": "building3"}}, {"action": "move", "marker": "move", "thing": {"id": "tank4", "marker": "tankConcept", "word": "tank4"}, "place": {"id": "building3", "marker": "buildingConcept", "word": "building3"}}]
    },
    {
      query: 'move tank1 to building1 deplacez char1 vers char2',
      generated: ['move tank1 to building1 move tank1 to tank2'],
      results: [[{"action": "move", "marker": "move", "thing": {"id": "tank1", "marker": "tankConcept", "word": "tank1"}, "place": {"id": "building1", "marker": "buildingConcept", "word": "building1"}}, {"action": "move", "marker": "move", "thing": {"id": "tank1", "marker": "tankConcept", "word": "char1"}, "place": {"id": "tank2", "marker": "tankConcept", "word": "char2"}}]]
    },
    {
      query: 'move tank1 to building2 tank2 to building1 and tank3 to building3',
      generated: ['move tank1 to building2', 'move tank2 to building1', 'move tank3 to building3'],
      results: [{"action": "move", "marker": "move", "thing": {"id": "tank1", "marker": "tankConcept", "word": "tank1"}, "place": {"id": "building2", "marker": "buildingConcept", "word": "building2"}}, {"action": "move", "marker": "move", "thing": {"id": "tank2", "marker": "tankConcept", "word": "tank2"}, "place": {"id": "building1", "marker": "buildingConcept", "word": "building1"}}, {"action": "move", "marker": "move", "thing": {"id": "tank3", "marker": "tankConcept", "word": "tank3"}, "place": {"id": "building3", "marker": "buildingConcept", "word": "building3"}}]
    },
    {
      query: 'i want 2 fries and a cheeseburger from mcdonalds',
      generated: ['order for 2 fries from McDonalds', 'order for 1 cheeseburger from McDonalds'],
      results: [{"marker": "wantMcDonalds", "word": "want", "action": "order", "items": {"value": 2, "marker": "food", "word": "fries", "name": "fries", "number": 2}, "store": {"marker": "mcdonalds", "word": "mcdonalds"}}, {"marker": "wantMcDonalds", "word": "want", "action": "order", "items": {"name": "cheeseburger", "marker": "food", "word": "cheeseburger", "number": 1}, "store": {"marker": "mcdonalds", "word": "mcdonalds"}}]
    },
    {
      query: 'i want a cheeseburger and fries from whitespot',
      generated: ['order for 1 cheeseburger from Whitespot', 'order for fries from Whitespot'],
      results: [{"marker": "wantWhitespot", "word": "want", "action": "order", "items": {"name": "cheeseburger", "marker": "food", "word": "cheeseburger", "number": 1}, "store": {"marker": "whitespot", "word": "whitespot"}}, {"marker": "wantWhitespot", "word": "want", "action": "order", "items": {"name": "fries", "marker": "food", "word": "fries"}, "store": {"marker": "whitespot", "word": "whitespot"}}]
    },
    {
      query: 'create 4 tanks',
      generated: ['create 4 tanks'],
      results: [{"action": "create", "klass": {"value": 4, "marker": "tankConcept", "word": "tanks", "number": 4}, "marker": "create"}]
    },
    {
      query: 'move all the tanks to building3',
      generated: ['move all tanks to building3'],
      results: [{"action": "move", "marker": "move", "thing": {"marker": "tankConcept", "word": "tanks", "concept": true, "number": "all"}, "place": {"id": "building3", "marker": "buildingConcept", "word": "building3"}}]
    },
    {
      query: 'move all tanks to building3',
      generated: ['move all tanks to building3'],
      results: [{"action": "move", "marker": "move", "thing": {"marker": "tankConcept", "word": "tanks", "number": "all"}, "place": {"id": "building3", "marker": "buildingConcept", "word": "building3"}}]
    },
    {
      query: 'move tank1 to tank2',
      generated: ['move tank1 to tank2'],
      results: [{"action": "move", "marker": "move", "thing": {"id": "tank1", "marker": "tankConcept", "word": "tank1"}, "place": {"id": "tank2", "marker": "tankConcept", "word": "tank2"}}]
    },
    {
      query: 'quel est 1 + 1',
      generated: ['2'],
      results: [{"objects": [{"marker": "query", "isQuery": true}, {"marker": "number", "word": "+", "value": 2}], "marker": "equal", "word": "est"}]
    },
    {
      query: 'what is 1 + 1',
      generated: ['2'],
      results: [{"objects": [{"marker": "query", "isQuery": true}, {"marker": "number", "word": "+", "value": 2}], "marker": "equal", "word": "is"}]
    },
    {
      query: 'quelle est la position de char1',
      generated: ['the position of tank1 is (23, 42)'],
      results: [{"objects": [{"marker": "query", "isQuery": true}, {"value": "(23, 42)", "marker": "position", "propertyName": "position", "object": "tank1", "isProperty": true}], "marker": "equal", "word": "est"}]
    },
    {
      query: 'quelle est la vitesse de char1',
      generated: ['the velocity of tank1 is 3'],
      results: [{"objects": [{"marker": "query", "isQuery": true}, {"value": 3, "marker": "number", "propertyName": "velocity", "object": "tank1", "isProperty": true}], "marker": "equal", "word": "est"}]
    },
    {
      query: 'what is the position of tank1',
      generated: ['the position of tank1 is (23, 42)'],
      results: [{"objects": [{"marker": "query", "isQuery": true}, {"value": "(23, 42)", "marker": "position", "propertyName": "position", "object": "tank1", "isProperty": true}], "marker": "equal", "word": "is"}]
    },
    {
      query: 'what is the speed of tank1',
      generated: ['the velocity of tank1 is 3'],
      results: [{"objects": [{"marker": "query", "isQuery": true}, {"value": 3, "marker": "number", "propertyName": "velocity", "object": "tank1", "isProperty": true}], "marker": "equal", "word": "is"}]
    },
    {
      query: 'deplacez char1 et char2 vers batiment1',
      generated: ['move tank1 to building1', 'move tank2 to building1'],
      results: [{"action": "move", "marker": "move", "thing": {"id": "tank1", "marker": "tankConcept", "word": "char1"}, "place": {"id": "building1", "marker": "buildingConcept", "word": "batiment1"}}, {"action": "move", "marker": "move", "thing": {"id": "tank2", "marker": "tankConcept", "word": "char2"}, "place": {"id": "building1", "marker": "buildingConcept", "word": "batiment1"}}]
    },
    {
      query: 'move tank1 and tank2 to building2',
      generated: ['move tank1 to building2', 'move tank2 to building2'],
      results: [{"action": "move", "marker": "move", "thing": {"id": "tank1", "marker": "tankConcept", "word": "tank1"}, "place": {"id": "building2", "marker": "buildingConcept", "word": "building2"}}, {"action": "move", "marker": "move", "thing": {"id": "tank2", "marker": "tankConcept", "word": "tank2"}, "place": {"id": "building2", "marker": "buildingConcept", "word": "building2"}}]
    },
    {
      query: 'create a tank',
      generated: ['create 1 tank'],
      results: [{"action": "create", "klass": {"marker": "tankConcept", "word": "tank", "number": 1}, "marker": "create"}]
    },
    {
      query: 'create a building',
      generated: ['create 1 building'],
      results: [{"action": "create", "klass": {"marker": "buildingConcept", "word": "building", "number": 1}, "marker": "create"}]
    },
    {
      query: 'destroy tank1',
      generated: ['destroy tank1'],
      results: [{"action": "destroy", "marker": "destroy", "name": {"id": "tank1", "word": "tank1", "marker": "tankConcept"}}]
    },
    {
      query: 'move tank1 to tank2',
      generated: ['move tank1 to tank2'],
      results: [{"action": "move", "marker": "move", "thing": {"id": "tank1", "marker": "tankConcept", "word": "tank1"}, "place": {"id": "tank2", "marker": "tankConcept", "word": "tank2"}}]
    },
    {
      query: 'move tank1 and tank2 to building1',
      generated: ['move tank1 to building1', 'move tank2 to building1'],
      results: [{"action": "move", "marker": "move", "thing": {"id": "tank1", "marker": "tankConcept", "word": "tank1"}, "place": {"id": "building1", "marker": "buildingConcept", "word": "building1"}}, {"action": "move", "marker": "move", "thing": {"id": "tank2", "marker": "tankConcept", "word": "tank2"}, "place": {"id": "building1", "marker": "buildingConcept", "word": "building1"}}]
    },
    {
      query: 'deplacez char1 vers char2',
      generated: ['move tank1 to tank2'],
      results: [{"action": "move", "marker": "move", "thing": {"id": "tank1", "marker": "tankConcept", "word": "char1"}, "place": {"id": "tank2", "marker": "tankConcept", "word": "char2"}}]
    },
    {
      query: 'deplacez char1 et char2 vers batiment1',
      generated: ['move tank1 to building1', 'move tank2 to building1'],
      results: [{"action": "move", "marker": "move", "thing": {"id": "tank1", "marker": "tankConcept", "word": "char1"}, "place": {"id": "building1", "marker": "buildingConcept", "word": "batiment1"}}, {"action": "move", "marker": "move", "thing": {"id": "tank2", "marker": "tankConcept", "word": "char2"}, "place": {"id": "building1", "marker": "buildingConcept", "word": "batiment1"}}]
    },
    {
      query: 'move tank1 to building1',
      generated: ['move tank1 to building1'],
      results: [{"action": "move", "marker": "move", "thing": {"id": "tank1", "marker": "tankConcept", "word": "tank1"}, "place": {"id": "building1", "marker": "buildingConcept", "word": "building1"}}]
    },
    {
      query: 'deplacez char1 vers batiment1',
      generated: ['move tank1 to building1'],
      results: [{"action": "move", "marker": "move", "thing": {"id": "tank1", "marker": "tankConcept", "word": "char1"}, "place": {"id": "building1", "marker": "buildingConcept", "word": "batiment1"}}]
    },
    {
      query: 'deplacez char1 vers batiment1 move tank1 to tank2',
      generated: ['move tank1 to building1 move tank1 to tank2'],
      results: [[{"action": "move", "marker": "move", "thing": {"id": "tank1", "marker": "tankConcept", "word": "char1"}, "place": {"id": "building1", "marker": "buildingConcept", "word": "batiment1"}}, {"action": "move", "marker": "move", "thing": {"id": "tank1", "marker": "tankConcept", "word": "tank1"}, "place": {"id": "tank2", "marker": "tankConcept", "word": "tank2"}}]]
    },
    {
      query: 'call tank1 commander',
      generated: ['call tank1 commander'],
      results: [{"marker": "alias", "name": {"marker": "commander"}, "thing": {"id": "tank1", "marker": "tankConcept", "word": "tank1"}}]
    },
    {
      query: 'appeller char1 commandeur',
      generated: ['call tank1 commandeur'],
      results: [{"marker": "alias", "name": {"marker": "commandeur"}, "thing": {"id": "tank1", "marker": "tankConcept", "word": "char1"}}]
    },
    {
      query: 'call building1 cia',
      generated: ['call building1 CIA'],
      results: [{"marker": "alias", "name": {"marker": "cia"}, "thing": {"id": "building1", "marker": "buildingConcept", "word": "building1"}}]
    },
    {
      query: 'appeller batiment1 cia',
      generated: ['call building1 CIA'],
      results: [{"marker": "alias", "thing": {"id": "building1", "marker": "buildingConcept", "word": "batiment1"}, "name": {"marker": "cia"}}]
    },
    {
      query: 'move commander to cia',
      generated: ['move commander to CIA'],
      results: [{"action": "move", "marker": "move", "place": {"marker": "cia"}, "thing": {"marker": "commander"}}]
    },
    {
      query: 'deplacez commandeur vers cia',
      generated: ['move commandeur to CIA'],
      results: [{"action": "move", "marker": "move", "place": {"marker": "cia"}, "thing": {"marker": "commandeur"}}]
    },
    {
      query: 'stop tank1',
      generated: ['stop tank1'],
      results: [{"action": "stop", "marker": "stop", "thing": {"id": "tank1", "marker": "tankConcept", "word": "tank1"}}]
    },
    {
      query: 'arreter char1',
      generated: ['stop tank1'],
      results: [{"action": "stop", "marker": "stop", "thing": {"id": "tank1", "marker": "tankConcept", "word": "char1"}}]
    },
    {
      query: 'bougez char1 a batiment1',
      generated: ['move tank1 to building1'],
      results: [{"action": "move", "marker": "move", "place": {"id": "building1", "marker": "buildingConcept", "word": "batiment1"}, "thing": {"id": "tank1", "marker": "tankConcept", "word": "char1"}}]
    },
    {
      query: '3 cheeseburgers and 2 fries',
      generated: ['3 cheeseburger', '2 fries'],
      results: [{"value": 3, "marker": "food", "word": "cheeseburgers", "name": "cheeseburger", "number": 3}, {"value": 2, "marker": "food", "word": "fries", "name": "fries", "number": 2}]
    },
    {
      query: '2 fries and a cheeseburger',
      generated: ['2 fries', '1 cheeseburger'],
      results: [{"value": 2, "marker": "food", "word": "fries", "name": "fries", "number": 2}, {"name": "cheeseburger", "marker": "food", "word": "cheeseburger", "number": 1}]
    },
    {
      query: 'a cheeseburger and fries',
      generated: ['1 cheeseburger', 'fries'],
      results: [{"name": "cheeseburger", "marker": "food", "word": "cheeseburger", "number": 1}, {"name": "fries", "marker": "food", "word": "fries"}]
    },
    {
      query: 'a cheeseburger',
      generated: ['1 cheeseburger'],
      results: [{"marker": "food", "name": "cheeseburger", "word": "cheeseburger", "number": 1}]
    },
    {
      query: '1 cheeseburger',
      generated: ['1 cheeseburger'],
      results: [{"value": 1, "marker": "food", "word": "cheeseburger", "name": "cheeseburger", "number": 1}]
    },
    {
      query: 'i want fries and a cheeseburger from mcdonalds',
      generated: ['order for fries from McDonalds', 'order for 1 cheeseburger from McDonalds'],
      results: [{"marker": "wantMcDonalds", "word": "want", "action": "order", "items": {"name": "fries", "marker": "food", "word": "fries"}, "store": {"marker": "mcdonalds", "word": "mcdonalds"}}, {"marker": "wantMcDonalds", "word": "want", "action": "order", "items": {"name": "cheeseburger", "marker": "food", "word": "cheeseburger", "number": 1}, "store": {"marker": "mcdonalds", "word": "mcdonalds"}}]
    },
    {
      query: 'destroy all the buildings',
      generated: ['destroy all buildings'],
      results: [{"action": "destroy", "marker": "destroy", "name": {"marker": "buildingConcept", "word": "buildings", "concept": true, "number": "all"}}]
    },
    {
      query: 'stop all the tanks',
      generated: ['stop all tanks'],
      results: [{"action": "stop", "marker": "stop", "thing": {"marker": "tankConcept", "word": "tanks", "concept": true, "number": "all"}}]
    },
    {
      query: 'destroy all the tanks',
      generated: ['destroy all tanks'],
      results: [{"action": "destroy", "marker": "destroy", "name": {"marker": "tankConcept", "word": "tanks", "concept": true, "number": "all"}}]
    },
    {
      query: 'i want fries from mcdonalds',
      generated: ['order for fries from McDonalds'],
      results: [{"marker": "wantMcDonalds", "word": "want", "action": "order", "items": {"name": "fries", "marker": "food", "word": "fries"}, "store": {"marker": "mcdonalds", "word": "mcdonalds"}}]
    },
    {
      query: 'i want cheeseburger and fries from whitespot',
      generated: ['order for cheeseburger from Whitespot', 'order for fries from Whitespot'],
      results: [{"marker": "wantWhitespot", "word": "want", "action": "order", "items": {"name": "cheeseburger", "marker": "food", "word": "cheeseburger"}, "store": {"marker": "whitespot", "word": "whitespot"}}, {"marker": "wantWhitespot", "word": "want", "action": "order", "items": {"name": "fries", "marker": "food", "word": "fries"}, "store": {"marker": "whitespot", "word": "whitespot"}}]
    },
  ]
};