config = require('./demo_test_config.js');
Generators = require('./generators.js').Generators;
Semantics = require('./semantics.js').Semantics;

describe('Demo Tests', () => {
  it('apply', () => {
    global = {}
    const s = new Semantics(config.semantics);
    const c = s.apply(global, config.contexts)
    console.log('global', global);
    console.log('after semantics', c);
    expect(c).toStrictEqual(config.expected_semantics);

    const g = new Generators(config.generators);
    const strings = g.apply(c);
    g.logs.forEach( (log) => {
      console.log(log)
    });
    expect(strings).toStrictEqual(config.expected);
  });
})
