client = require('./client')
_ = require('lodash')

tests = require('./tests')
queries = tests.queries;
objects = tests.objects;
config = require('../../entodicton/demo/src/components/config')
config['objects'] = objects

key = '6804954f-e56d-471f-bbb8-08e3c54d9321'

const matching = (actual, expected) => {
  if (!_.isEqual(actual, expected)) {
    console.log("Results do not match")
    console.log("Expected:\n");
    console.log(JSON.stringify(expected, null, 2));
    console.log("Actual:\n");
    console.log(JSON.stringify(actual, null, 2));
    return false;
  } 
  return true;
}

const doOne = (queries) => {
  if (queries.length == 0) {
    return
  }
  const {query, generated, results} = queries[0]
  config['utterances'] = [query]
  client.process(config, key)
    .then( (responses) => {
      if (matching(responses.results[0], results) && matching(responses.generated[0], generated)) {
        console.log(`Okay ${query}`);
        doOne(queries.slice(1))
      }
    })
    .catch( (error) => { 
      console.log(`Error ${query}`);
      console.log(error)
    })
}

doOne(queries)

/*
queries.forEach ( ({query, generated, results}) => {
  config['utterances'] = [query]
  client.process(config, key)
    .then( (responses) => {
      responses = JSON.parse(responses)
      if (!_.isEqual(responses.results[0], results)) {
        console.log("Results do not match")
        console.log("Expected:\n");
        console.log(JSON.stringify(results, null, 2));
        console.log("Actual:\n");
        console.log(JSON.stringify(responses.results[0], null, 2));
      } else {
        console.log(`Okay ${query}`);
      }
    })
    .catch( (error) => { 
      console.log(`Error ${query}`);
      console.log(error)
    })
});
*/
